* {
	margin: 0;
	line-height: 1.5;
}

:root {
	--light-bg-color: white;
	--dark-bg-color: rgb(19 19 19);
	--accent-color-light-bg: blueviolet;
	--accent-color-dark-bg: rgb(204 160 245);
	--light-text-color: var(--dark-bg-color);
	--dark-text-color: var(--light-bg-color);
}

body {
	font-family: serif;
	color: var(--light-text-color);
	background-color: var(--light-bg-color);
}

main {
	padding: 20px;
	margin-right: auto;
	margin-left: auto;
	max-width: 800px;
}

h1,
h2,
h3,
h4,
h5,
h6,
a {
	color: var(--accent-color-light-bg);
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: sans-serif;
	padding: 10px 0;
}

p,
ul,
ol,
table {
	padding-top: 10px;
	padding-bottom: 10px;
}

table {
	border-collapse: collapse;
}

li,
td {
	padding: 3px;
}

td {
	border-top: 1px solid var(--accent-color-light-bg);
}

nav {
	/* white-space: nowrap; */
	display: flex;
	justify-content: center;
	overflow-x: auto;
	flex-wrap: wrap;
}

nav a {
	color: var(--accent-color-light-bg);
	display: inline-block;
	padding: 10px;
}

footer {
	padding: 20px;
	margin-top: 40px;
	font-size: 11px;
}

footer p {
	text-align: center;
}

header {
	width: auto;
	display: block;
	margin: 20px 0;
}

header span#name a {
	/* font-weight: 800; */
	text-decoration: none;
}

header span#name {
	display: flex;
	justify-content: center;
	padding: 20px 0;
	font-size: xx-large;
	margin-left: auto;
	margin-right: auto;
}

@media (prefers-color-scheme: dark) {
	body {
		color: var(--dark-text-color);
		background-color: var(--dark-bg-color);
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	a {
		color: var(--accent-color-dark-bg);
	}

	nav a {
		color: var(--accent-color-dark-bg);
	}

	td {
		border-top: 1px solid var(--accent-color-dark-bg);
	}
}
